Subject: Re: git am and the wrong chunk of ---

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 10 Aug 2012 09:39:21 -0700

On 08/10/2012 09:15 AM, Junio C Hamano wrote:
> "H. Peter Anvin" <[email-masked]> writes:
> 
>> The users I am referring to generally have a --- line, rather than
>> a scissor, between the cover text and commit.  Also, there is
>> (almost) always a From: line and subject at the top of the patch
>> proper.
> 
> Oh, so it is more like this?
> 
>     From: author name <[email-masked]>
>     Date: author date
>     Subject: patch title
> 
>     Heya,
> 
>     I was walking my dog when I found a solution to this
>     problem the other day.  Here it is.
> 
>     ---
>     >From 755e8b3f35e3991a735a6be740eda4567d45a741 Mon Sep 17 00:00:00 2001
>     From: author name <[email-masked]>
>     Date: random date we do not care
>     Subject: patch title
> 
>     commit message body
> 
>     ---
> 

That is exactly what I see, except usually with the mbox header.

However, it makes sense to me to treat From: as a scissor (we can then
ignore the preceding --- completely).

	-hpa